Test::Int::Dom Namespace Reference

Tests for domain constraints More...

## Classes

class | DomInt
| Test for domain constraint (integer) More...
class | DomRange
| Test for domain constraint (range) More...
class | DomRangeEmpty
| Test for domain constraint (empty range) More...
class | DomDom
| Test for domain constraint (full integer set) More...

## Variables

const int | r [4][2]
Gecode::IntSet | d (r, 4)
DomInt | di1 (1)
DomInt | di3 (3)
DomRange | dr1 (1)
DomRange | dr3 (3)
DomDom | dd1 (1)
DomDom | dd3 (3)
DomRangeEmpty | dre

## Detailed Description

Tests for domain constraints

## Variable Documentation

## r

const int Test::Int::Dom::r[4][2]

Initial value:
= {
{-4,-3},{-1,-1},{1,1},{3,5}
}

Definition at line 152 of file dom.cpp.

## d

Gecode::IntSet Test::Int::Dom::d(r, 4) | ( | r | ,
|  | 4 | )

## di1

DomInt Test::Int::Dom::di1(1) | ( | 1 |  | ) |

## di3

DomInt Test::Int::Dom::di3(3) | ( | 3 |  | ) |

## dr1

DomRange Test::Int::Dom::dr1(1) | ( | 1 |  | ) |

## dr3

DomRange Test::Int::Dom::dr3(3) | ( | 3 |  | ) |

## dd1

DomDom Test::Int::Dom::dd1(1) | ( | 1 |  | ) |

## dd3

DomDom Test::Int::Dom::dd3(3) | ( | 3 |  | ) |

## dre

DomRangeEmpty Test::Int::Dom::dre

Definition at line 207 of file dom.cpp.